Package Details: python-fritzconnection-git r40.8171434b964b-3

Git Clone URL: https://aur.archlinux.org/python-fritzconnection-git.git (read-only, click to copy)
Package Base: python-fritzconnection-git
Description: Python-Tool to communicate with the AVM FritzBox. Uses the TR-064 protocol.
Upstream URL: https://bitbucket.org/kbr/fritzconnection
Licenses: MIT
Submitter: onny
Maintainer: FlorianJacob (Marsprojekt)
Last Packager: FlorianJacob
Votes: 2
Popularity: 0.35
First Submitted: 2015-08-24 14:52
Last Updated: 2017-03-14 15:48

Latest Comments

archangel commented on 2019-11-28 23:13

Clone URL broken. As Arch is now shipping Python 3.8 and fritzconnection is not yet ready for it (<=3.7), there probably should be some extra dependency, python37 say. I can't build with later. Upstream's still active though, perhaps wait.

FlorianJacob commented on 2019-09-24 07:16

@Marsprojekt: Looks sensible to me. I don't use the package currently, so I added you as Co-Maintainer and will eventually resign. Have fun!

Marsprojekt commented on 2019-09-20 16:18

Addendum:

The file setup.py contains some hard-wired versions of python-lxml and python-requests. I have uploaded a patch at https://pastebin.com/yte6rcyZ that could be used to correct this issue. The PKGBUILD could look like this: https://pastebin.com/GTm6FJYG

Marsprojekt commented on 2019-09-20 15:31

Hello,

as mentioned on https://bitbucket.org/kbr/fritzconnection, this project has moved to GitHub. The PKGBUILD should be adapted like here: https://pastebin.com/6rHbdqh4

FlorianJacob commented on 2017-03-14 15:49

@hachel Thanks! Added.

hachel commented on 2017-03-14 13:08

Hi there, mercurial is a build dependency

FlorianJacob commented on 2016-12-22 01:00

@lynix: Thanks, fixed!

lynix commented on 2016-12-17 09:59

Missing dependency: python-requests

FlorianJacob commented on 2016-09-23 19:48

Thanks for the hint! I just took over the package and didn't check that. But I don't see where this could depend on a specific architecture, so I've set it to 'any' until somebody comes around and tells us otherwise. ;)

mqs commented on 2016-09-23 15:42

Could you change the arch to 'any' or at least add armv7h? It's Python so it should work on any architecture. For me at least it works when editing the PKGBUILD before building manually and is pretty useful when used in scripts on a RPi or similar.